StreamStatisticNames (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.statistics, class: StreamStatisticNames

Package org.apache.hadoop.fs.statistics

# Class StreamStatisticNames

java.lang.Object
org.apache.hadoop.fs.statistics.StreamStatisticNames

@Public @Evolving public final class StreamStatisticNames extends Object
These are common statistic names.

When adding new common statistic name constants, please make them unique. By convention, they are implicitly unique:

- The name of the constants are uppercase, words separated by underscores.
- The value of the constants are lowercase of the constant names.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ANALYTICS_STREAM_FACTORY_CLOSED`
  Total count of times object stream factory was closed.
  `static final String`
  `BLOCKS_ALLOCATED`
  Total number of Data blocks allocated by an outputStream.
  `static final String`
  `BLOCKS_RELEASED`
  Total number of Data blocks released by an outputStream.
  `static final String`
  `BYTES_READ_BUFFER`
  Number of bytes read from the buffer.
  `static final String`
  `BYTES_TO_UPLOAD`
  Number of bytes to upload from an OutputStream.
  `static final String`
  `BYTES_UPLOAD_FAILED`
  Number of bytes failed to upload to the object store.
  `static final String`
  `BYTES_UPLOAD_SUCCESSFUL`
  Number of bytes uploaded successfully to the object store.
  `static final String`
  `QUEUE_SHRUNK_OPS`
  Number of task queue shrunk operations.
  `static final String`
  `READ_AHEAD_BYTES_READ`
  Total number of bytes read from readAhead.
  `static final String`
  `REMOTE_BYTES_READ`
  Total number of bytes read from remote operations.
  `static final String`
  `REMOTE_READ_OP`
  Total number of remote read operations performed.
  `static final String`
  `SEEK_IN_BUFFER`
  Number of seeks in buffer.
  `static final String`
  `STREAM_EVICT_BLOCKS_FROM_FILE_CACHE`
  Total number of blocks evicted from the disk cache.
  `static final String`
  `STREAM_FILE_CACHE_EVICTION`
  Track duration of LRU cache eviction for disk cache.
  `static final String`
  `STREAM_LEAKS`
  Count of Stream leaks from an application which is not cleaning up correctly.
  `static final String`
  `STREAM_READ_ABORTED`
  Count of times the TCP stream was aborted.
  `static final String`
  `STREAM_READ_ACTIVE_MEMORY_IN_USE`
  Total bytes of memory in use by this input stream.
  `static final String`
  `STREAM_READ_ACTIVE_PREFETCH_OPERATIONS`
  Total number of active prefetch operations.
  `static final String`
  `STREAM_READ_ANALYTICS_OPENED`
  Total count of times an analytics input stream was opened.
  `static final String`
  `STREAM_READ_BLOCK_ACQUIRE_AND_READ`
  count/duration of acquiring a buffer and reading to it.
  `static final String`
  `STREAM_READ_BLOCKS_IN_FILE_CACHE`
  Total number of block in disk cache.
  `static final String`
  `STREAM_READ_BYTES`
  Bytes read from an input stream in read()/readVectored() calls.
  `static final String`
  `STREAM_READ_BYTES_DISCARDED_ABORT`
  Count of bytes discarded by aborting an input stream .
  `static final String`
  `STREAM_READ_BYTES_DISCARDED_CLOSE`
  Count of bytes read and discarded when closing an input stream.
  `static final String`
  `STREAM_READ_CACHE_HIT`
  A cache hit occurs when the request range can be satisfied by the data in the cache.
  `static final String`
  `STREAM_READ_CLOSE_OPERATIONS`
  Total count of times an attempt to close an input stream was made.
  `static final String`
  `STREAM_READ_CLOSED`
  Count of times the TCP stream was closed.
  `static final String`
  `STREAM_READ_EXCEPTIONS`
  Count of exceptions raised during input stream reads.
  `static final String`
  `STREAM_READ_FULLY_OPERATIONS`
  Count of readFully() operations in an input stream.
  `static final String`
  `STREAM_READ_OPENED`
  Total count of times an input stream to was opened.
  `static final String`
  `STREAM_READ_OPERATIONS`
  Count of read() operations in an input stream.
  `static final String`
  `STREAM_READ_OPERATIONS_INCOMPLETE`
  Count of incomplete read() operations in an input stream, that is, when the bytes returned were less than that requested.
  `static final String`
  `STREAM_READ_PARQUET_FOOTER_PARSING_FAILED`
  Tracks failures in footer parsing.
  `static final String`
  `STREAM_READ_PREFETCH_OPERATIONS`
  Total number of prefetching operations executed.
  `static final String`
  `STREAM_READ_PREFETCHED_BYTES`
  Bytes that were prefetched by the stream.
  `static final String`
  `STREAM_READ_REMOTE_BLOCK_READ`
  count/duration of reading a remote block.
  `static final String`
  `STREAM_READ_REMOTE_STREAM_ABORTED`
  count/duration of aborting a remote stream during stream IO IO.
  `static final String`
  `STREAM_READ_REMOTE_STREAM_DRAINED`
  count/duration of closing a remote stream, possibly including draining the stream to recycle the HTTP connection.
  `static final String`
  `STREAM_READ_SEEK_BACKWARD_OPERATIONS`
  Count of executed seek operations which went backwards in a stream.
  `static final String`
  `STREAM_READ_SEEK_BYTES_BACKWARDS`
  Count of bytes moved backwards during seek operations in an input stream.
  `static final String`
  `STREAM_READ_SEEK_BYTES_DISCARDED`
  Count of bytes read and discarded during seek() in an input stream.
  `static final String`
  `STREAM_READ_SEEK_BYTES_SKIPPED`
  Count of bytes skipped during forward seek operations.
  `static final String`
  `STREAM_READ_SEEK_FORWARD_OPERATIONS`
  Count of executed seek operations which went forward in an input stream.
  `static final String`
  `STREAM_READ_SEEK_OPERATIONS`
  Count of seek operations in an input stream.
  `static final String`
  `STREAM_READ_SEEK_POLICY_CHANGED`
  Count of times the seek policy was dynamically changed in an input stream.
  `static final String`
  `STREAM_READ_SKIP_BYTES`
  Count bytes skipped in `InputStream.skip()` calls.
  `static final String`
  `STREAM_READ_SKIP_OPERATIONS`
  Count of `InputStream.skip()` calls.
  `static final String`
  `STREAM_READ_TOTAL_BYTES`
  Total count of bytes read from an input stream.
  `static final String`
  `STREAM_READ_UNBUFFERED`
  Count of calls of `CanUnbuffer.unbuffer()`.
  `static final String`
  `STREAM_READ_VECTORED_COMBINED_RANGES`
  Count of combined file ranges during readVectored() operation.
  `static final String`
  `STREAM_READ_VECTORED_INCOMING_RANGES`
  Count of incoming file ranges during readVectored() operation.
  `static final String`
  `STREAM_READ_VECTORED_OPERATIONS`
  Count of readVectored() operations in an input stream.
  `static final String`
  `STREAM_READ_VECTORED_READ_BYTES_DISCARDED`
  Count of bytes discarded during readVectored() operation in an input stream.
  `static final String`
  `STREAM_READ_VERSION_MISMATCHES`
  Count of version mismatches encountered while reading an input stream.
  `static final String`
  `STREAM_WRITE_BLOCK_UPLOADS`
  Count of block/partition uploads complete.
  `static final String`
  `STREAM_WRITE_BLOCK_UPLOADS_ABORTED`
  Count of number of block uploads aborted.
  `static final String`
  `STREAM_WRITE_BLOCK_UPLOADS_ACTIVE`
  Count of block/partition uploads active.
  `static final String`
  `STREAM_WRITE_BLOCK_UPLOADS_BYTES_PENDING`
  Gauge of data queued to be written.
  `static final String`
  `STREAM_WRITE_BLOCK_UPLOADS_COMMITTED`
  Count of number of block uploads committed.
  `static final String`
  `STREAM_WRITE_BLOCK_UPLOADS_PENDING`
  Gauge of block/partitions uploads queued to be written.
  `static final String`
  `STREAM_WRITE_BYTES`
  "Count of bytes written to output stream including all not yet uploaded.
  `static final String`
  `STREAM_WRITE_EXCEPTIONS`
  "Count of stream write failures reported.
  `static final String`
  `STREAM_WRITE_EXCEPTIONS_COMPLETING_UPLOADS`
  Count of failures when finalizing a multipart upload: "stream_write_exceptions_completing_upload".
  `static final String`
  `STREAM_WRITE_QUEUE_DURATION`
  Total queue duration of all block uploads.
  `static final String`
  `STREAM_WRITE_TOTAL_DATA`
  `static final String`
  `STREAM_WRITE_TOTAL_TIME`
  Count of total time taken for uploads to complete.
  `static final String`
  `TIME_SPENT_ON_PUT_REQUEST`
  Total time spent on completing a PUT request.
  `static final String`
  `TIME_SPENT_ON_TASK_WAIT`
  Total time spent on waiting for a task to complete.
  `static final String`
  `WRITE_CURRENT_BUFFER_OPERATIONS`
  Number of times current buffer is written to the service.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STREAM_LEAKS

    public static final String STREAM_LEAKS
    Count of Stream leaks from an application which is not cleaning up correctly. Value :"stream_leaks".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_ABORTED

    public static final String STREAM_READ_ABORTED
    Count of times the TCP stream was aborted. Value: "stream_aborted".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_BYTES

    public static final String STREAM_READ_BYTES
    Bytes read from an input stream in read()/readVectored() calls. Does not include bytes read and then discarded in seek/close etc. These are the bytes returned to the caller. Value: "stream_read_bytes".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_BYTES_DISCARDED_ABORT

    public static final String STREAM_READ_BYTES_DISCARDED_ABORT
    Count of bytes discarded by aborting an input stream . Value: "stream_read_bytes_discarded_in_abort".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_BYTES_DISCARDED_CLOSE

    public static final String STREAM_READ_BYTES_DISCARDED_CLOSE
    Count of bytes read and discarded when closing an input stream. Value: "stream_read_bytes_discarded_in_close".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_CLOSED

    public static final String STREAM_READ_CLOSED
    Count of times the TCP stream was closed. Value: "stream_read_closed".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_CLOSE_OPERATIONS

    public static final String STREAM_READ_CLOSE_OPERATIONS
    Total count of times an attempt to close an input stream was made. Value: "stream_read_close_operations".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_OPENED

    public static final String STREAM_READ_OPENED
    Total count of times an input stream to was opened. For object stores, that means the count a GET request was initiated. Value: "stream_read_opened".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_ANALYTICS_OPENED

    public static final String STREAM_READ_ANALYTICS_OPENED
    Total count of times an analytics input stream was opened. Value: "stream_read_analytics_opened".
    See Also:
      - Constant Field Values

  - ### ANALYTICS_STREAM_FACTORY_CLOSED

    public static final String ANALYTICS_STREAM_FACTORY_CLOSED
    Total count of times object stream factory was closed. Value: "analytics_stream_factory_closed".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_EXCEPTIONS

    public static final String STREAM_READ_EXCEPTIONS
    Count of exceptions raised during input stream reads. Value: "stream_read_exceptions".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_FULLY_OPERATIONS

    public static final String STREAM_READ_FULLY_OPERATIONS
    Count of readFully() operations in an input stream. Value: "stream_read_fully_operations".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_OPERATIONS

    public static final String STREAM_READ_OPERATIONS
    Count of read() operations in an input stream. Value: "stream_read_operations".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_VECTORED_OPERATIONS

    public static final String STREAM_READ_VECTORED_OPERATIONS
    Count of readVectored() operations in an input stream. Value: "stream_read_vectored_operations".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_VECTORED_READ_BYTES_DISCARDED

    public static final String STREAM_READ_VECTORED_READ_BYTES_DISCARDED
    Count of bytes discarded during readVectored() operation in an input stream. Value: "stream_read_vectored_read_bytes_discarded".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_VECTORED_INCOMING_RANGES

    public static final String STREAM_READ_VECTORED_INCOMING_RANGES
    Count of incoming file ranges during readVectored() operation. Value: "stream_read_vectored_incoming_ranges"
    See Also:
      - Constant Field Values

  - ### STREAM_READ_VECTORED_COMBINED_RANGES

    public static final String STREAM_READ_VECTORED_COMBINED_RANGES
    Count of combined file ranges during readVectored() operation. Value: "stream_read_vectored_combined_ranges"
    See Also:
      - Constant Field Values

  - ### STREAM_READ_OPERATIONS_INCOMPLETE

    public static final String STREAM_READ_OPERATIONS_INCOMPLETE
    Count of incomplete read() operations in an input stream, that is, when the bytes returned were less than that requested. Value: "stream_read_operations_incomplete".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_REMOTE_STREAM_ABORTED

    public static final String STREAM_READ_REMOTE_STREAM_ABORTED
    count/duration of aborting a remote stream during stream IO IO. Value: "stream_read_remote_stream_aborted".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_REMOTE_STREAM_DRAINED

    public static final String STREAM_READ_REMOTE_STREAM_DRAINED
    count/duration of closing a remote stream, possibly including draining the stream to recycle the HTTP connection. Value: "stream_read_remote_stream_drain".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_VERSION_MISMATCHES

    public static final String STREAM_READ_VERSION_MISMATCHES
    Count of version mismatches encountered while reading an input stream. Value: "stream_read_version_mismatches".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_SEEK_BACKWARD_OPERATIONS

    public static final String STREAM_READ_SEEK_BACKWARD_OPERATIONS
    Count of executed seek operations which went backwards in a stream. Value: "stream_read_seek_backward_operations".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_SEEK_BYTES_BACKWARDS

    public static final String STREAM_READ_SEEK_BYTES_BACKWARDS
    Count of bytes moved backwards during seek operations in an input stream. Value: "stream_read_bytes_backwards_on_seek".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_SEEK_BYTES_DISCARDED

    public static final String STREAM_READ_SEEK_BYTES_DISCARDED
    Count of bytes read and discarded during seek() in an input stream. Value: "stream_read_seek_bytes_discarded".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_SEEK_BYTES_SKIPPED

    public static final String STREAM_READ_SEEK_BYTES_SKIPPED
    Count of bytes skipped during forward seek operations. Value: "stream_read_seek_bytes_skipped".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_SEEK_FORWARD_OPERATIONS

    public static final String STREAM_READ_SEEK_FORWARD_OPERATIONS
    Count of executed seek operations which went forward in an input stream. Value: "stream_read_seek_forward_operations".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_SEEK_POLICY_CHANGED

    public static final String STREAM_READ_SEEK_POLICY_CHANGED
    Count of times the seek policy was dynamically changed in an input stream. Value: "stream_read_seek_policy_changed".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_SEEK_OPERATIONS

    public static final String STREAM_READ_SEEK_OPERATIONS
    Count of seek operations in an input stream. Value: "stream_read_seek_operations".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_SKIP_OPERATIONS

    public static final String STREAM_READ_SKIP_OPERATIONS
    Count of `InputStream.skip()` calls. Value: "stream_read_skip_operations".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_SKIP_BYTES

    public static final String STREAM_READ_SKIP_BYTES
    Count bytes skipped in `InputStream.skip()` calls. Value: "stream_read_skip_bytes".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_TOTAL_BYTES

    public static final String STREAM_READ_TOTAL_BYTES
    Total count of bytes read from an input stream. Value: "stream_read_total_bytes".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_UNBUFFERED

    public static final String STREAM_READ_UNBUFFERED
    Count of calls of `CanUnbuffer.unbuffer()`. Value: "stream_read_unbuffered".
    See Also:
      - Constant Field Values

  - ### STREAM_WRITE_EXCEPTIONS

    public static final String STREAM_WRITE_EXCEPTIONS
    "Count of stream write failures reported. Value: "stream_write_exceptions".
    See Also:
      - Constant Field Values

  - ### STREAM_WRITE_EXCEPTIONS_COMPLETING_UPLOADS

    public static final String STREAM_WRITE_EXCEPTIONS_COMPLETING_UPLOADS
    Count of failures when finalizing a multipart upload: "stream_write_exceptions_completing_upload".
    See Also:
      - Constant Field Values

  - ### STREAM_WRITE_BLOCK_UPLOADS

    public static final String STREAM_WRITE_BLOCK_UPLOADS
    Count of block/partition uploads complete. Value: "stream_write_block_uploads".
    See Also:
      - Constant Field Values

  - ### STREAM_WRITE_BLOCK_UPLOADS_ABORTED

    public static final String STREAM_WRITE_BLOCK_UPLOADS_ABORTED
    Count of number of block uploads aborted. Value: "stream_write_block_uploads_aborted".
    See Also:
      - Constant Field Values

  - ### STREAM_WRITE_BLOCK_UPLOADS_ACTIVE

    public static final String STREAM_WRITE_BLOCK_UPLOADS_ACTIVE
    Count of block/partition uploads active. Value: "stream_write_block_uploads_active".
    See Also:
      - Constant Field Values

  - ### STREAM_WRITE_BLOCK_UPLOADS_BYTES_PENDING

    public static final String STREAM_WRITE_BLOCK_UPLOADS_BYTES_PENDING
    Gauge of data queued to be written. Value: "stream_write_block_uploads_data_pending".
    See Also:
      - Constant Field Values

  - ### STREAM_WRITE_BLOCK_UPLOADS_COMMITTED

    public static final String STREAM_WRITE_BLOCK_UPLOADS_COMMITTED
    Count of number of block uploads committed. Value: "stream_write_block_uploads_committed".
    See Also:
      - Constant Field Values

  - ### STREAM_WRITE_BLOCK_UPLOADS_PENDING

    public static final String STREAM_WRITE_BLOCK_UPLOADS_PENDING
    Gauge of block/partitions uploads queued to be written. Value: "stream_write_block_uploads_pending".
    See Also:
      - Constant Field Values

  - ### STREAM_WRITE_BYTES

    public static final String STREAM_WRITE_BYTES
    "Count of bytes written to output stream including all not yet uploaded. "stream_write_bytes".
    See Also:
      - Constant Field Values

  - ### STREAM_WRITE_TOTAL_TIME

    public static final String STREAM_WRITE_TOTAL_TIME
    Count of total time taken for uploads to complete. "stream_write_total_time".
    See Also:
      - Constant Field Values

  - ### STREAM_WRITE_QUEUE_DURATION

    public static final String STREAM_WRITE_QUEUE_DURATION
    Total queue duration of all block uploads. "stream_write_queue_duration".
    See Also:
      - Constant Field Values

  - ### STREAM_WRITE_TOTAL_DATA

    public static final String STREAM_WRITE_TOTAL_DATA
    See Also:
      - Constant Field Values

  - ### BYTES_TO_UPLOAD

    public static final String BYTES_TO_UPLOAD
    Number of bytes to upload from an OutputStream.
    See Also:
      - Constant Field Values

  - ### BYTES_UPLOAD_SUCCESSFUL

    public static final String BYTES_UPLOAD_SUCCESSFUL
    Number of bytes uploaded successfully to the object store.
    See Also:
      - Constant Field Values

  - ### BYTES_UPLOAD_FAILED

    public static final String BYTES_UPLOAD_FAILED
    Number of bytes failed to upload to the object store.
    See Also:
      - Constant Field Values

  - ### TIME_SPENT_ON_TASK_WAIT

    public static final String TIME_SPENT_ON_TASK_WAIT
    Total time spent on waiting for a task to complete.
    See Also:
      - Constant Field Values

  - ### QUEUE_SHRUNK_OPS

    public static final String QUEUE_SHRUNK_OPS
    Number of task queue shrunk operations.
    See Also:
      - Constant Field Values

  - ### WRITE_CURRENT_BUFFER_OPERATIONS

    public static final String WRITE_CURRENT_BUFFER_OPERATIONS
    Number of times current buffer is written to the service.
    See Also:
      - Constant Field Values

  - ### TIME_SPENT_ON_PUT_REQUEST

    public static final String TIME_SPENT_ON_PUT_REQUEST
    Total time spent on completing a PUT request.
    See Also:
      - Constant Field Values

  - ### SEEK_IN_BUFFER

    public static final String SEEK_IN_BUFFER
    Number of seeks in buffer.
    See Also:
      - Constant Field Values

  - ### BYTES_READ_BUFFER

    public static final String BYTES_READ_BUFFER
    Number of bytes read from the buffer.
    See Also:
      - Constant Field Values

  - ### REMOTE_READ_OP

    public static final String REMOTE_READ_OP
    Total number of remote read operations performed.
    See Also:
      - Constant Field Values

  - ### READ_AHEAD_BYTES_READ

    public static final String READ_AHEAD_BYTES_READ
    Total number of bytes read from readAhead.
    See Also:
      - Constant Field Values

  - ### REMOTE_BYTES_READ

    public static final String REMOTE_BYTES_READ
    Total number of bytes read from remote operations.
    See Also:
      - Constant Field Values

  - ### BLOCKS_ALLOCATED

    public static final String BLOCKS_ALLOCATED
    Total number of Data blocks allocated by an outputStream.
    See Also:
      - Constant Field Values

  - ### BLOCKS_RELEASED

    public static final String BLOCKS_RELEASED
    Total number of Data blocks released by an outputStream.
    See Also:
      - Constant Field Values

  - ### STREAM_READ_PREFETCH_OPERATIONS

    public static final String STREAM_READ_PREFETCH_OPERATIONS
    Total number of prefetching operations executed.
    See Also:
      - Constant Field Values

  - ### STREAM_READ_BLOCKS_IN_FILE_CACHE

    public static final String STREAM_READ_BLOCKS_IN_FILE_CACHE
    Total number of block in disk cache.
    See Also:
      - Constant Field Values

  - ### STREAM_READ_ACTIVE_PREFETCH_OPERATIONS

    public static final String STREAM_READ_ACTIVE_PREFETCH_OPERATIONS
    Total number of active prefetch operations.
    See Also:
      - Constant Field Values

  - ### STREAM_READ_ACTIVE_MEMORY_IN_USE

    public static final String STREAM_READ_ACTIVE_MEMORY_IN_USE
    Total bytes of memory in use by this input stream.
    See Also:
      - Constant Field Values

  - ### STREAM_READ_REMOTE_BLOCK_READ

    public static final String STREAM_READ_REMOTE_BLOCK_READ
    count/duration of reading a remote block. Value: "stream_read_block_read".
    See Also:
      - Constant Field Values

  - ### STREAM_READ_BLOCK_ACQUIRE_AND_READ

    public static final String STREAM_READ_BLOCK_ACQUIRE_AND_READ
    count/duration of acquiring a buffer and reading to it. Value: "stream_read_block_acquire_read".
    See Also:
      - Constant Field Values

  - ### STREAM_EVICT_BLOCKS_FROM_FILE_CACHE

    public static final String STREAM_EVICT_BLOCKS_FROM_FILE_CACHE
    Total number of blocks evicted from the disk cache.
    See Also:
      - Constant Field Values

  - ### STREAM_FILE_CACHE_EVICTION

    public static final String STREAM_FILE_CACHE_EVICTION
    Track duration of LRU cache eviction for disk cache.
    See Also:
      - Constant Field Values

  - ### STREAM_READ_PREFETCHED_BYTES

    public static final String STREAM_READ_PREFETCHED_BYTES
    Bytes that were prefetched by the stream.
    See Also:
      - Constant Field Values

  - ### STREAM_READ_PARQUET_FOOTER_PARSING_FAILED

    public static final String STREAM_READ_PARQUET_FOOTER_PARSING_FAILED
    Tracks failures in footer parsing.
    See Also:
      - Constant Field Values

  - ### STREAM_READ_CACHE_HIT

    public static final String STREAM_READ_CACHE_HIT
    A cache hit occurs when the request range can be satisfied by the data in the cache.
    See Also:
      - Constant Field Values